program ShellAPIProject;

{$APPTYPE CONSOLE}

uses
  SysUtils,
  RVSHFolder in 'RVSHFolder.pas',
  RVShLWAPI in 'RVShLWAPI.pas',
  RVShellAPI in 'RVShellAPI.pas',
  RVUrlMon in 'RVUrlMon.pas',
  RVShAppMgr in 'RVShAppMgr.pas',
  RVShlDisp in 'RVShlDisp.pas',
  RVUrlHist in 'RVUrlHist.pas',
  RVShlObj in 'RVShlObj.pas';

begin

// ShellAPI import test

  Writeln;
  Writeln('shellapi');
  Writeln;

  Writeln(Format('%p -- %s', [@DragQueryFileA, 'DragQueryFileA']));
  Writeln(Format('%p -- %s', [@DragQueryFileW, 'DragQueryFileW']));
  Writeln(Format('%p -- %s', [@DragQueryFile, 'DragQueryFile']));
  Writeln(Format('%p -- %s', [@DragQueryPoint, 'DragQueryPoint']));
  Writeln(Format('%p -- %s', [@DragFinish, 'DragFinish']));
  Writeln(Format('%p -- %s', [@DragAcceptFiles, 'DragAcceptFiles']));
  Writeln(Format('%p -- %s', [@ShellExecuteA, 'ShellExecuteA']));
  Writeln(Format('%p -- %s', [@ShellExecuteW, 'ShellExecuteW']));
  Writeln(Format('%p -- %s', [@ShellExecute, 'ShellExecute']));
  Writeln(Format('%p -- %s', [@FindExecutableA, 'FindExecutableA']));
  Writeln(Format('%p -- %s', [@FindExecutableW, 'FindExecutableW']));
  Writeln(Format('%p -- %s', [@FindExecutable, 'FindExecutable']));
  Writeln(Format('%p -- %s', [@CommandLineToArgvW, 'CommandLineToArgvW']));
  Writeln(Format('%p -- %s', [@ShellAboutA, 'ShellAboutA']));
  Writeln(Format('%p -- %s', [@ShellAboutW, 'ShellAboutW']));
  Writeln(Format('%p -- %s', [@ShellAbout, 'ShellAbout']));
  Writeln(Format('%p -- %s', [@DuplicateIcon, 'DuplicateIcon']));
  Writeln(Format('%p -- %s', [@ExtractAssociatedIconA, 'ExtractAssociatedIconA']));
  Writeln(Format('%p -- %s', [@ExtractAssociatedIconW, 'ExtractAssociatedIconW']));
  Writeln(Format('%p -- %s', [@ExtractAssociatedIcon, 'ExtractAssociatedIcon']));
  Writeln(Format('%p -- %s', [@ExtractAssociatedIconExA, 'ExtractAssociatedIconExA']));
  Writeln(Format('%p -- %s', [@ExtractAssociatedIconExW, 'ExtractAssociatedIconExW']));
  Writeln(Format('%p -- %s', [@ExtractAssociatedIconEx, 'ExtractAssociatedIconEx']));
  Writeln(Format('%p -- %s', [@ExtractIconA, 'ExtractIconA']));
  Writeln(Format('%p -- %s', [@ExtractIconW, 'ExtractIconW']));
  Writeln(Format('%p -- %s', [@ExtractIcon, 'ExtractIcon']));
  Writeln(Format('%p -- %s', [@SHAppBarMessage, 'SHAppBarMessage']));
  Writeln(Format('%p -- %s', [@DoEnvironmentSubstA, 'DoEnvironmentSubstA']));
  Writeln(Format('%p -- %s', [@DoEnvironmentSubstW, 'DoEnvironmentSubstW']));
  Writeln(Format('%p -- %s', [@DoEnvironmentSubst, 'DoEnvironmentSubst']));
  Writeln(Format('%p -- %s', [@ExtractIconExA, 'ExtractIconExA']));
  Writeln(Format('%p -- %s', [@ExtractIconExW, 'ExtractIconExW']));
  Writeln(Format('%p -- %s', [@ExtractIconEx, 'ExtractIconEx']));
  Writeln(Format('%p -- %s', [@SHFileOperationA, 'SHFileOperationA']));
  Writeln(Format('%p -- %s', [@SHFileOperationW, 'SHFileOperationW']));
  Writeln(Format('%p -- %s', [@SHFileOperation, 'SHFileOperation']));
  Writeln(Format('%p -- %s', [@SHFreeNameMappings, 'SHFreeNameMappings']));
  Writeln(Format('%p -- %s', [@ShellExecuteExA, 'ShellExecuteExA']));
  Writeln(Format('%p -- %s', [@ShellExecuteExW, 'ShellExecuteExW']));
  Writeln(Format('%p -- %s', [@ShellExecuteEx, 'ShellExecuteEx']));
  Writeln(Format('%p -- %s', [@WinExecErrorA, 'WinExecErrorA']));
  Writeln(Format('%p -- %s', [@WinExecErrorW, 'WinExecErrorW']));
  Writeln(Format('%p -- %s', [@WinExecError, 'WinExecError']));
  Writeln(Format('%p -- %s', [@SHCreateProcessAsUserW, 'SHCreateProcessAsUserW']));
  Writeln(Format('%p -- %s', [@SHQueryRecycleBinA, 'SHQueryRecycleBinA']));
  Writeln(Format('%p -- %s', [@SHQueryRecycleBinW, 'SHQueryRecycleBinW']));
  Writeln(Format('%p -- %s', [@SHQueryRecycleBin, 'SHQueryRecycleBin']));
  Writeln(Format('%p -- %s', [@SHEmptyRecycleBinA, 'SHEmptyRecycleBinA']));
  Writeln(Format('%p -- %s', [@SHEmptyRecycleBinW, 'SHEmptyRecycleBinW']));
  Writeln(Format('%p -- %s', [@SHEmptyRecycleBin, 'SHEmptyRecycleBin']));
  Writeln(Format('%p -- %s', [@Shell_NotifyIconA, 'Shell_NotifyIconA']));
  Writeln(Format('%p -- %s', [@Shell_NotifyIconW, 'Shell_NotifyIconW']));
  Writeln(Format('%p -- %s', [@Shell_NotifyIcon, 'Shell_NotifyIcon']));
  Writeln(Format('%p -- %s', [@SHGetFileInfoA, 'SHGetFileInfoA']));
  Writeln(Format('%p -- %s', [@SHGetFileInfoW, 'SHGetFileInfoW']));
  Writeln(Format('%p -- %s', [@SHGetFileInfo, 'SHGetFileInfo']));
  Writeln(Format('%p -- %s', [@SHGetDiskFreeSpaceExA, 'SHGetDiskFreeSpaceExA']));
  Writeln(Format('%p -- %s', [@SHGetDiskFreeSpaceExW, 'SHGetDiskFreeSpaceExW']));
  Writeln(Format('%p -- %s', [@SHGetDiskFreeSpaceEx, 'SHGetDiskFreeSpaceEx']));
  Writeln(Format('%p -- %s', [@SHGetDiskFreeSpaceA, 'SHGetDiskFreeSpaceA']));
  Writeln(Format('%p -- %s', [@SHGetDiskFreeSpaceW, 'SHGetDiskFreeSpaceW']));
  Writeln(Format('%p -- %s', [@SHGetDiskFreeSpace, 'SHGetDiskFreeSpace']));
  Writeln(Format('%p -- %s', [@SHGetNewLinkInfoA, 'SHGetNewLinkInfoA']));
  Writeln(Format('%p -- %s', [@SHGetNewLinkInfoW, 'SHGetNewLinkInfoW']));
  Writeln(Format('%p -- %s', [@SHGetNewLinkInfo, 'SHGetNewLinkInfo']));
  Writeln(Format('%p -- %s', [@SHInvokePrinterCommandA, 'SHInvokePrinterCommandA']));
  Writeln(Format('%p -- %s', [@SHInvokePrinterCommandW, 'SHInvokePrinterCommandW']));
  Writeln(Format('%p -- %s', [@SHInvokePrinterCommand, 'SHInvokePrinterCommand']));
  Writeln(Format('%p -- %s', [@SHLoadNonloadedIconOverlayIdentifiers, 'SHLoadNonloadedIconOverlayIdentifiers']));
  Writeln(Format('%p -- %s', [@SHIsFileAvailableOffline, 'SHIsFileAvailableOffline']));
  Writeln(Format('%p -- %s', [@SHSetLocalizedName, 'SHSetLocalizedName']));
  Writeln(Format('%p -- %s', [@ShellMessageBoxA, 'ShellMessageBoxA']));
  Writeln(Format('%p -- %s', [@ShellMessageBoxW, 'ShellMessageBoxW']));
  Writeln(Format('%p -- %s', [@ShellMessageBox, 'ShellMessageBox']));
  Writeln(Format('%p -- %s', [@IsLFNDriveA, 'IsLFNDriveA']));
  Writeln(Format('%p -- %s', [@IsLFNDriveW, 'IsLFNDriveW']));
  Writeln(Format('%p -- %s', [@IsLFNDrive, 'IsLFNDrive']));
  Writeln(Format('%p -- %s', [@SHEnumerateUnreadMailAccountsA, 'SHEnumerateUnreadMailAccountsA']));
  Writeln(Format('%p -- %s', [@SHEnumerateUnreadMailAccountsW, 'SHEnumerateUnreadMailAccountsW']));
  Writeln(Format('%p -- %s', [@SHEnumerateUnreadMailAccounts, 'SHEnumerateUnreadMailAccounts']));
  Writeln(Format('%p -- %s', [@SHGetUnreadMailCountA, 'SHGetUnreadMailCountA']));
  Writeln(Format('%p -- %s', [@SHGetUnreadMailCountW, 'SHGetUnreadMailCountW']));
  Writeln(Format('%p -- %s', [@SHGetUnreadMailCount, 'SHGetUnreadMailCount']));
  Writeln(Format('%p -- %s', [@SHSetUnreadMailCountA, 'SHSetUnreadMailCountA']));
  Writeln(Format('%p -- %s', [@SHSetUnreadMailCountW, 'SHSetUnreadMailCountW']));
  Writeln(Format('%p -- %s', [@SHSetUnreadMailCount, 'SHSetUnreadMailCount']));
  Writeln(Format('%p -- %s', [@SHTestTokenMembership, 'SHTestTokenMembership']));
  Writeln(Format('%p -- %s', [@SHGetImageList, 'SHGetImageList']));

// SHLWAPI import t -- %sest, 'sest'

  Writeln;
  Writeln('shlwapi');
  Writeln;

  Writeln(Format('%p -- %s', [@StrChrA, 'StrChrA']));
  Writeln(Format('%p -- %s', [@StrChrW, 'StrChrW']));
  Writeln(Format('%p -- %s', [@StrChr, 'StrChr']));
  Writeln(Format('%p -- %s', [@StrChrIA, 'StrChrIA']));
  Writeln(Format('%p -- %s', [@StrChrIW, 'StrChrIW']));
  Writeln(Format('%p -- %s', [@StrChrI, 'StrChrI']));
  Writeln(Format('%p -- %s', [@StrCmpNA, 'StrCmpNA']));
  Writeln(Format('%p -- %s', [@StrCmpNW, 'StrCmpNW']));
  Writeln(Format('%p -- %s', [@StrCmpN, 'StrCmpN']));
  Writeln(Format('%p -- %s', [@StrCmpNIA, 'StrCmpNIA']));
  Writeln(Format('%p -- %s', [@StrCmpNIW, 'StrCmpNIW']));
  Writeln(Format('%p -- %s', [@StrCmpNI, 'StrCmpNI']));
  Writeln(Format('%p -- %s', [@StrCSpnA, 'StrCSpnA']));
  Writeln(Format('%p -- %s', [@StrCSpnW, 'StrCSpnW']));
  Writeln(Format('%p -- %s', [@StrCSpn, 'StrCSpn']));
  Writeln(Format('%p -- %s', [@StrCSpnIA, 'StrCSpnIA']));
  Writeln(Format('%p -- %s', [@StrCSpnIW, 'StrCSpnIW']));
  Writeln(Format('%p -- %s', [@StrCSpnI, 'StrCSpnI']));
  Writeln(Format('%p -- %s', [@StrDupA, 'StrDupA']));
  Writeln(Format('%p -- %s', [@StrDupW, 'StrDupW']));
  Writeln(Format('%p -- %s', [@StrDup, 'StrDup']));
  Writeln(Format('%p -- %s', [@StrFormatByteSizeA, 'StrFormatByteSizeA']));
  Writeln(Format('%p -- %s', [@StrFormatByteSize64A, 'StrFormatByteSize64A']));
  Writeln(Format('%p -- %s', [@StrFormatByteSizeW, 'StrFormatByteSizeW']));
  Writeln(Format('%p -- %s', [@StrFormatByteSize, 'StrFormatByteSize']));
  Writeln(Format('%p -- %s', [@StrFormatByteSize64, 'StrFormatByteSize64']));
  Writeln(Format('%p -- %s', [@StrFormatKBSizeW, 'StrFormatKBSizeW']));
  Writeln(Format('%p -- %s', [@StrFormatKBSizeA, 'StrFormatKBSizeA']));
  Writeln(Format('%p -- %s', [@StrFormatKBSize, 'StrFormatKBSize']));
  Writeln(Format('%p -- %s', [@StrFromTimeIntervalA, 'StrFromTimeIntervalA']));
  Writeln(Format('%p -- %s', [@StrFromTimeIntervalW, 'StrFromTimeIntervalW']));
  Writeln(Format('%p -- %s', [@StrFromTimeInterval, 'StrFromTimeInterval']));
  Writeln(Format('%p -- %s', [@StrIsIntlEqualA, 'StrIsIntlEqualA']));
  Writeln(Format('%p -- %s', [@StrIsIntlEqualW, 'StrIsIntlEqualW']));
  Writeln(Format('%p -- %s', [@StrIsIntlEqual, 'StrIsIntlEqual']));
  Writeln(Format('%p -- %s', [@StrNCatA, 'StrNCatA']));
  Writeln(Format('%p -- %s', [@StrNCatW, 'StrNCatW']));
  Writeln(Format('%p -- %s', [@StrNCat, 'StrNCat']));
  Writeln(Format('%p -- %s', [@StrPBrkA, 'StrPBrkA']));
  Writeln(Format('%p -- %s', [@StrPBrkW, 'StrPBrkW']));
  Writeln(Format('%p -- %s', [@StrPBrk, 'StrPBrk']));
  Writeln(Format('%p -- %s', [@StrRChrA, 'StrRChrA']));
  Writeln(Format('%p -- %s', [@StrRChrW, 'StrRChrW']));
  Writeln(Format('%p -- %s', [@StrRChr, 'StrRChr']));
  Writeln(Format('%p -- %s', [@StrRChrIA, 'StrRChrIA']));
  Writeln(Format('%p -- %s', [@StrRChrIW, 'StrRChrIW']));
  Writeln(Format('%p -- %s', [@StrRChrI, 'StrRChrI']));
  Writeln(Format('%p -- %s', [@StrRStrIA, 'StrRStrIA']));
  Writeln(Format('%p -- %s', [@StrRStrIW, 'StrRStrIW']));
  Writeln(Format('%p -- %s', [@StrRStrI, 'StrRStrI']));
  Writeln(Format('%p -- %s', [@StrSpnA, 'StrSpnA']));
  Writeln(Format('%p -- %s', [@StrSpnW, 'StrSpnW']));
  Writeln(Format('%p -- %s', [@StrSpn, 'StrSpn']));
  Writeln(Format('%p -- %s', [@StrStrA, 'StrStrA']));
  Writeln(Format('%p -- %s', [@StrStrW, 'StrStrW']));
  Writeln(Format('%p -- %s', [@StrStr, 'StrStr']));
  Writeln(Format('%p -- %s', [@StrStrIA, 'StrStrIA']));
  Writeln(Format('%p -- %s', [@StrStrIW, 'StrStrIW']));
  Writeln(Format('%p -- %s', [@StrStrI, 'StrStrI']));
  Writeln(Format('%p -- %s', [@StrToIntA, 'StrToIntA']));
  Writeln(Format('%p -- %s', [@StrToIntW, 'StrToIntW']));
  Writeln(Format('%p -- %s', [@StrToInt, 'StrToInt']));
  Writeln(Format('%p -- %s', [@StrToIntExA, 'StrToIntExA']));
  Writeln(Format('%p -- %s', [@StrToIntExW, 'StrToIntExW']));
  Writeln(Format('%p -- %s', [@StrToIntEx, 'StrToIntEx']));
  Writeln(Format('%p -- %s', [@StrToInt64ExA, 'StrToInt64ExA']));
  Writeln(Format('%p -- %s', [@StrToInt64ExW, 'StrToInt64ExW']));
  Writeln(Format('%p -- %s', [@StrToInt64Ex, 'StrToInt64Ex']));
  Writeln(Format('%p -- %s', [@StrTrimA, 'StrTrimA']));
  Writeln(Format('%p -- %s', [@StrTrimW, 'StrTrimW']));
  Writeln(Format('%p -- %s', [@StrTrim, 'StrTrim']));
  Writeln(Format('%p -- %s', [@StrCatW, 'StrCatW']));
  Writeln(Format('%p -- %s', [@StrCmpW, 'StrCmpW']));
  Writeln(Format('%p -- %s', [@StrCmpIW, 'StrCmpIW']));
  Writeln(Format('%p -- %s', [@StrCpyW, 'StrCpyW']));
  Writeln(Format('%p -- %s', [@StrCpyNW, 'StrCpyNW']));
  Writeln(Format('%p -- %s', [@StrCatBuffW, 'StrCatBuffW']));
  Writeln(Format('%p -- %s', [@StrCatBuffA, 'StrCatBuffA']));
  Writeln(Format('%p -- %s', [@StrCatBuff, 'StrCatBuff']));
  Writeln(Format('%p -- %s', [@ChrCmpIA, 'ChrCmpIA']));
  Writeln(Format('%p -- %s', [@ChrCmpIW, 'ChrCmpIW']));
  Writeln(Format('%p -- %s', [@ChrCmpI, 'ChrCmpI']));
  Writeln(Format('%p -- %s', [@wvnsprintfA, 'wvnsprintfA']));
  Writeln(Format('%p -- %s', [@wvnsprintfW, 'wvnsprintfW']));
  Writeln(Format('%p -- %s', [@wvnsprintf, 'wvnsprintf']));
  Writeln(Format('%p -- %s', [@wnsprintfA, 'wnsprintfA']));
  Writeln(Format('%p -- %s', [@wnsprintfW, 'wnsprintfW']));
  Writeln(Format('%p -- %s', [@wnsprintf, 'wnsprintf']));
  Writeln(Format('%p -- %s', [@StrRetToStrA, 'StrRetToStrA']));
  Writeln(Format('%p -- %s', [@StrRetToStrW, 'StrRetToStrW']));
  Writeln(Format('%p -- %s', [@StrRetToStr, 'StrRetToStr']));
  Writeln(Format('%p -- %s', [@StrRetToBufA, 'StrRetToBufA']));
  Writeln(Format('%p -- %s', [@StrRetToBufW, 'StrRetToBufW']));
  Writeln(Format('%p -- %s', [@StrRetToBuf, 'StrRetToBuf']));
  Writeln(Format('%p -- %s', [@StrRetToBSTR, 'StrRetToBSTR']));
  Writeln(Format('%p -- %s', [@SHStrDupA, 'SHStrDupA']));
  Writeln(Format('%p -- %s', [@SHStrDupW, 'SHStrDupW']));
  Writeln(Format('%p -- %s', [@SHStrDup, 'SHStrDup']));
  Writeln(Format('%p -- %s', [@StrCmpLogicalW, 'StrCmpLogicalW']));
  Writeln(Format('%p -- %s', [@StrCatChainW, 'StrCatChainW']));
  Writeln(Format('%p -- %s', [@SHLoadIndirectString, 'SHLoadIndirectString']));
  Writeln(Format('%p -- %s', [@IsCharSpaceA, 'IsCharSpaceA']));
  Writeln(Format('%p -- %s', [@IsCharSpaceW, 'IsCharSpaceW']));
  Writeln(Format('%p -- %s', [@IsCharSpace, 'IsCharSpace']));
  Writeln(Format('%p -- %s', [@StrCmpCA, 'StrCmpCA']));
  Writeln(Format('%p -- %s', [@StrCmpCW, 'StrCmpCW']));
  Writeln(Format('%p -- %s', [@StrCmpC, 'StrCmpC']));
  Writeln(Format('%p -- %s', [@StrCmpICA, 'StrCmpICA']));
  Writeln(Format('%p -- %s', [@StrCmpICW, 'StrCmpICW']));
  Writeln(Format('%p -- %s', [@StrCmpIC, 'StrCmpIC']));
  Writeln(Format('%p -- %s', [@IntlStrEqWorkerA, 'IntlStrEqWorkerA']));
  Writeln(Format('%p -- %s', [@IntlStrEqWorkerW, 'IntlStrEqWorkerW']));
  Writeln(Format('%p -- %s', [@StrCatA, 'StrCatA']));
  Writeln(Format('%p -- %s', [@StrCmpA, 'StrCmpA']));
  Writeln(Format('%p -- %s', [@StrCmpIA, 'StrCmpIA']));
  Writeln(Format('%p -- %s', [@StrCpyA, 'StrCpyA']));
  Writeln(Format('%p -- %s', [@StrCpyNA, 'StrCpyNA']));
  Writeln(Format('%p -- %s', [@StrToLong, 'StrToLong']));
  Writeln(Format('%p -- %s', [@StrNCmp, 'StrNCmp']));
  Writeln(Format('%p -- %s', [@StrNCmpI, 'StrNCmpI']));
  Writeln(Format('%p -- %s', [@StrNCpy, 'StrNCpy']));
  Writeln(Format('%p -- %s', [@StrCatN, 'StrCatN']));
  Writeln(Format('%p -- %s', [@StrCat, 'StrCat']));
  Writeln(Format('%p -- %s', [@StrCmp, 'StrCmp']));
  Writeln(Format('%p -- %s', [@StrCmpI, 'StrCmpI']));
  Writeln(Format('%p -- %s', [@StrCpy, 'StrCpy']));
  Writeln(Format('%p -- %s', [@StrCpyN, 'StrCpyN']));
  Writeln(Format('%p -- %s', [@PathAddBackslashA, 'PathAddBackslashA']));
  Writeln(Format('%p -- %s', [@PathAddBackslashW, 'PathAddBackslashW']));
  Writeln(Format('%p -- %s', [@PathAddBackslash, 'PathAddBackslash']));
  Writeln(Format('%p -- %s', [@PathAddExtensionA, 'PathAddExtensionA']));
  Writeln(Format('%p -- %s', [@PathAddExtensionW, 'PathAddExtensionW']));
  Writeln(Format('%p -- %s', [@PathAddExtension, 'PathAddExtension']));
  Writeln(Format('%p -- %s', [@PathAppendA, 'PathAppendA']));
  Writeln(Format('%p -- %s', [@PathAppendW, 'PathAppendW']));
  Writeln(Format('%p -- %s', [@PathAppend, 'PathAppend']));
  Writeln(Format('%p -- %s', [@PathBuildRootA, 'PathBuildRootA']));
  Writeln(Format('%p -- %s', [@PathBuildRootW, 'PathBuildRootW']));
  Writeln(Format('%p -- %s', [@PathBuildRoot, 'PathBuildRoot']));
  Writeln(Format('%p -- %s', [@PathCanonicalizeA, 'PathCanonicalizeA']));
  Writeln(Format('%p -- %s', [@PathCanonicalizeW, 'PathCanonicalizeW']));
  Writeln(Format('%p -- %s', [@PathCanonicalize, 'PathCanonicalize']));
  Writeln(Format('%p -- %s', [@PathCombineA, 'PathCombineA']));
  Writeln(Format('%p -- %s', [@PathCombineW, 'PathCombineW']));
  Writeln(Format('%p -- %s', [@PathCombine, 'PathCombine']));
  Writeln(Format('%p -- %s', [@PathCompactPathA, 'PathCompactPathA']));
  Writeln(Format('%p -- %s', [@PathCompactPathW, 'PathCompactPathW']));
  Writeln(Format('%p -- %s', [@PathCompactPath, 'PathCompactPath']));
  Writeln(Format('%p -- %s', [@PathCompactPathExA, 'PathCompactPathExA']));
  Writeln(Format('%p -- %s', [@PathCompactPathExW, 'PathCompactPathExW']));
  Writeln(Format('%p -- %s', [@PathCompactPathEx, 'PathCompactPathEx']));
  Writeln(Format('%p -- %s', [@PathCommonPrefixA, 'PathCommonPrefixA']));
  Writeln(Format('%p -- %s', [@PathCommonPrefixW, 'PathCommonPrefixW']));
  Writeln(Format('%p -- %s', [@PathCommonPrefix, 'PathCommonPrefix']));
  Writeln(Format('%p -- %s', [@PathFileExistsA, 'PathFileExistsA']));
  Writeln(Format('%p -- %s', [@PathFileExistsW, 'PathFileExistsW']));
  Writeln(Format('%p -- %s', [@PathFileExists, 'PathFileExists']));
  Writeln(Format('%p -- %s', [@PathFindExtensionA, 'PathFindExtensionA']));
  Writeln(Format('%p -- %s', [@PathFindExtensionW, 'PathFindExtensionW']));
  Writeln(Format('%p -- %s', [@PathFindExtension, 'PathFindExtension']));
  Writeln(Format('%p -- %s', [@PathFindFileNameA, 'PathFindFileNameA']));
  Writeln(Format('%p -- %s', [@PathFindFileNameW, 'PathFindFileNameW']));
  Writeln(Format('%p -- %s', [@PathFindFileName, 'PathFindFileName']));
  Writeln(Format('%p -- %s', [@PathFindNextComponentA, 'PathFindNextComponentA']));
  Writeln(Format('%p -- %s', [@PathFindNextComponentW, 'PathFindNextComponentW']));
  Writeln(Format('%p -- %s', [@PathFindNextComponent, 'PathFindNextComponent']));
  Writeln(Format('%p -- %s', [@PathFindOnPathA, 'PathFindOnPathA']));
  Writeln(Format('%p -- %s', [@PathFindOnPathW, 'PathFindOnPathW']));
  Writeln(Format('%p -- %s', [@PathFindOnPath, 'PathFindOnPath']));
  Writeln(Format('%p -- %s', [@PathGetArgsA, 'PathGetArgsA']));
  Writeln(Format('%p -- %s', [@PathGetArgsW, 'PathGetArgsW']));
  Writeln(Format('%p -- %s', [@PathGetArgs, 'PathGetArgs']));
  Writeln(Format('%p -- %s', [@PathFindSuffixArrayA, 'PathFindSuffixArrayA']));
  Writeln(Format('%p -- %s', [@PathFindSuffixArrayW, 'PathFindSuffixArrayW']));
  Writeln(Format('%p -- %s', [@PathFindSuffixArray, 'PathFindSuffixArray']));
  Writeln(Format('%p -- %s', [@PathIsLFNFileSpecA, 'PathIsLFNFileSpecA']));
  Writeln(Format('%p -- %s', [@PathIsLFNFileSpecW, 'PathIsLFNFileSpecW']));
  Writeln(Format('%p -- %s', [@PathIsLFNFileSpec, 'PathIsLFNFileSpec']));
  Writeln(Format('%p -- %s', [@PathGetCharTypeA, 'PathGetCharTypeA']));
  Writeln(Format('%p -- %s', [@PathGetCharTypeW, 'PathGetCharTypeW']));
  Writeln(Format('%p -- %s', [@PathGetCharType, 'PathGetCharType']));
  Writeln(Format('%p -- %s', [@PathGetDriveNumberA, 'PathGetDriveNumberA']));
  Writeln(Format('%p -- %s', [@PathGetDriveNumberW, 'PathGetDriveNumberW']));
  Writeln(Format('%p -- %s', [@PathGetDriveNumber, 'PathGetDriveNumber']));
  Writeln(Format('%p -- %s', [@PathIsDirectoryA, 'PathIsDirectoryA']));
  Writeln(Format('%p -- %s', [@PathIsDirectoryW, 'PathIsDirectoryW']));
  Writeln(Format('%p -- %s', [@PathIsDirectory, 'PathIsDirectory']));
  Writeln(Format('%p -- %s', [@PathIsDirectoryEmptyA, 'PathIsDirectoryEmptyA']));
  Writeln(Format('%p -- %s', [@PathIsDirectoryEmptyW, 'PathIsDirectoryEmptyW']));
  Writeln(Format('%p -- %s', [@PathIsDirectoryEmpty, 'PathIsDirectoryEmpty']));
  Writeln(Format('%p -- %s', [@PathIsFileSpecA, 'PathIsFileSpecA']));
  Writeln(Format('%p -- %s', [@PathIsFileSpecW, 'PathIsFileSpecW']));
  Writeln(Format('%p -- %s', [@PathIsFileSpec, 'PathIsFileSpec']));
  Writeln(Format('%p -- %s', [@PathIsPrefixA, 'PathIsPrefixA']));
  Writeln(Format('%p -- %s', [@PathIsPrefixW, 'PathIsPrefixW']));
  Writeln(Format('%p -- %s', [@PathIsPrefix, 'PathIsPrefix']));
  Writeln(Format('%p -- %s', [@PathIsRelativeA, 'PathIsRelativeA']));
  Writeln(Format('%p -- %s', [@PathIsRelativeW, 'PathIsRelativeW']));
  Writeln(Format('%p -- %s', [@PathIsRelative, 'PathIsRelative']));
  Writeln(Format('%p -- %s', [@PathIsRootA, 'PathIsRootA']));
  Writeln(Format('%p -- %s', [@PathIsRootW, 'PathIsRootW']));
  Writeln(Format('%p -- %s', [@PathIsRoot, 'PathIsRoot']));
  Writeln(Format('%p -- %s', [@PathIsSameRootA, 'PathIsSameRootA']));
  Writeln(Format('%p -- %s', [@PathIsSameRootW, 'PathIsSameRootW']));
  Writeln(Format('%p -- %s', [@PathIsSameRoot, 'PathIsSameRoot']));
  Writeln(Format('%p -- %s', [@PathIsUNCA, 'PathIsUNCA']));
  Writeln(Format('%p -- %s', [@PathIsUNCW, 'PathIsUNCW']));
  Writeln(Format('%p -- %s', [@PathIsUNC, 'PathIsUNC']));
  Writeln(Format('%p -- %s', [@PathIsNetworkPathA, 'PathIsNetworkPathA']));
  Writeln(Format('%p -- %s', [@PathIsNetworkPathW, 'PathIsNetworkPathW']));
  Writeln(Format('%p -- %s', [@PathIsNetworkPath, 'PathIsNetworkPath']));
  Writeln(Format('%p -- %s', [@PathIsUNCServerA, 'PathIsUNCServerA']));
  Writeln(Format('%p -- %s', [@PathIsUNCServerW, 'PathIsUNCServerW']));
  Writeln(Format('%p -- %s', [@PathIsUNCServer, 'PathIsUNCServer']));
  Writeln(Format('%p -- %s', [@PathIsUNCServerShareA, 'PathIsUNCServerShareA']));
  Writeln(Format('%p -- %s', [@PathIsUNCServerShareW, 'PathIsUNCServerShareW']));
  Writeln(Format('%p -- %s', [@PathIsUNCServerShare, 'PathIsUNCServerShare']));
  Writeln(Format('%p -- %s', [@PathIsContentTypeA, 'PathIsContentTypeA']));
  Writeln(Format('%p -- %s', [@PathIsContentTypeW, 'PathIsContentTypeW']));
  Writeln(Format('%p -- %s', [@PathIsContentType, 'PathIsContentType']));
  Writeln(Format('%p -- %s', [@PathIsURLA, 'PathIsURLA']));
  Writeln(Format('%p -- %s', [@PathIsURLW, 'PathIsURLW']));
  Writeln(Format('%p -- %s', [@PathIsURL, 'PathIsURL']));
  Writeln(Format('%p -- %s', [@PathMakePrettyA, 'PathMakePrettyA']));
  Writeln(Format('%p -- %s', [@PathMakePrettyW, 'PathMakePrettyW']));
  Writeln(Format('%p -- %s', [@PathMakePretty, 'PathMakePretty']));
  Writeln(Format('%p -- %s', [@PathMatchSpecA, 'PathMatchSpecA']));
  Writeln(Format('%p -- %s', [@PathMatchSpecW, 'PathMatchSpecW']));
  Writeln(Format('%p -- %s', [@PathMatchSpec, 'PathMatchSpec']));
  Writeln(Format('%p -- %s', [@PathParseIconLocationA, 'PathParseIconLocationA']));
  Writeln(Format('%p -- %s', [@PathParseIconLocationW, 'PathParseIconLocationW']));
  Writeln(Format('%p -- %s', [@PathParseIconLocation, 'PathParseIconLocation']));
  Writeln(Format('%p -- %s', [@PathQuoteSpacesA, 'PathQuoteSpacesA']));
  Writeln(Format('%p -- %s', [@PathQuoteSpacesW, 'PathQuoteSpacesW']));
  Writeln(Format('%p -- %s', [@PathQuoteSpaces, 'PathQuoteSpaces']));
  Writeln(Format('%p -- %s', [@PathRelativePathToA, 'PathRelativePathToA']));
  Writeln(Format('%p -- %s', [@PathRelativePathToW, 'PathRelativePathToW']));
  Writeln(Format('%p -- %s', [@PathRelativePathTo, 'PathRelativePathTo']));
  Writeln(Format('%p -- %s', [@PathRemoveArgsA, 'PathRemoveArgsA']));
  Writeln(Format('%p -- %s', [@PathRemoveArgsW, 'PathRemoveArgsW']));
  Writeln(Format('%p -- %s', [@PathRemoveArgs, 'PathRemoveArgs']));
  Writeln(Format('%p -- %s', [@PathRemoveBackslashA, 'PathRemoveBackslashA']));
  Writeln(Format('%p -- %s', [@PathRemoveBackslashW, 'PathRemoveBackslashW']));
  Writeln(Format('%p -- %s', [@PathRemoveBackslash, 'PathRemoveBackslash']));
  Writeln(Format('%p -- %s', [@PathRemoveBlanksA, 'PathRemoveBlanksA']));
  Writeln(Format('%p -- %s', [@PathRemoveBlanksW, 'PathRemoveBlanksW']));
  Writeln(Format('%p -- %s', [@PathRemoveBlanks, 'PathRemoveBlanks']));
  Writeln(Format('%p -- %s', [@PathRemoveExtensionA, 'PathRemoveExtensionA']));
  Writeln(Format('%p -- %s', [@PathRemoveExtensionW, 'PathRemoveExtensionW']));
  Writeln(Format('%p -- %s', [@PathRemoveExtension, 'PathRemoveExtension']));
  Writeln(Format('%p -- %s', [@PathRemoveFileSpecA, 'PathRemoveFileSpecA']));
  Writeln(Format('%p -- %s', [@PathRemoveFileSpecW, 'PathRemoveFileSpecW']));
  Writeln(Format('%p -- %s', [@PathRemoveFileSpec, 'PathRemoveFileSpec']));
  Writeln(Format('%p -- %s', [@PathRenameExtensionA, 'PathRenameExtensionA']));
  Writeln(Format('%p -- %s', [@PathRenameExtensionW, 'PathRenameExtensionW']));
  Writeln(Format('%p -- %s', [@PathRenameExtension, 'PathRenameExtension']));
  Writeln(Format('%p -- %s', [@PathSearchAndQualifyA, 'PathSearchAndQualifyA']));
  Writeln(Format('%p -- %s', [@PathSearchAndQualifyW, 'PathSearchAndQualifyW']));
  Writeln(Format('%p -- %s', [@PathSearchAndQualify, 'PathSearchAndQualify']));
  Writeln(Format('%p -- %s', [@PathSetDlgItemPathA, 'PathSetDlgItemPathA']));
  Writeln(Format('%p -- %s', [@PathSetDlgItemPathW, 'PathSetDlgItemPathW']));
  Writeln(Format('%p -- %s', [@PathSetDlgItemPath, 'PathSetDlgItemPath']));
  Writeln(Format('%p -- %s', [@PathSkipRootA, 'PathSkipRootA']));
  Writeln(Format('%p -- %s', [@PathSkipRootW, 'PathSkipRootW']));
  Writeln(Format('%p -- %s', [@PathSkipRoot, 'PathSkipRoot']));
  Writeln(Format('%p -- %s', [@PathStripPathA, 'PathStripPathA']));
  Writeln(Format('%p -- %s', [@PathStripPathW, 'PathStripPathW']));
  Writeln(Format('%p -- %s', [@PathStripPath, 'PathStripPath']));
  Writeln(Format('%p -- %s', [@PathStripToRootA, 'PathStripToRootA']));
  Writeln(Format('%p -- %s', [@PathStripToRootW, 'PathStripToRootW']));
  Writeln(Format('%p -- %s', [@PathStripToRoot, 'PathStripToRoot']));
  Writeln(Format('%p -- %s', [@PathUnquoteSpacesA, 'PathUnquoteSpacesA']));
  Writeln(Format('%p -- %s', [@PathUnquoteSpacesW, 'PathUnquoteSpacesW']));
  Writeln(Format('%p -- %s', [@PathUnquoteSpaces, 'PathUnquoteSpaces']));
  Writeln(Format('%p -- %s', [@PathMakeSystemFolderA, 'PathMakeSystemFolderA']));
  Writeln(Format('%p -- %s', [@PathMakeSystemFolderW, 'PathMakeSystemFolderW']));
  Writeln(Format('%p -- %s', [@PathMakeSystemFolder, 'PathMakeSystemFolder']));
  Writeln(Format('%p -- %s', [@PathUnmakeSystemFolderA, 'PathUnmakeSystemFolderA']));
  Writeln(Format('%p -- %s', [@PathUnmakeSystemFolderW, 'PathUnmakeSystemFolderW']));
  Writeln(Format('%p -- %s', [@PathUnmakeSystemFolder, 'PathUnmakeSystemFolder']));
  Writeln(Format('%p -- %s', [@PathIsSystemFolderA, 'PathIsSystemFolderA']));
  Writeln(Format('%p -- %s', [@PathIsSystemFolderW, 'PathIsSystemFolderW']));
  Writeln(Format('%p -- %s', [@PathIsSystemFolder, 'PathIsSystemFolder']));
  Writeln(Format('%p -- %s', [@PathUndecorateA, 'PathUndecorateA']));
  Writeln(Format('%p -- %s', [@PathUndecorateW, 'PathUndecorateW']));
  Writeln(Format('%p -- %s', [@PathUndecorate, 'PathUndecorate']));
  Writeln(Format('%p -- %s', [@PathUnExpandEnvStringsA, 'PathUnExpandEnvStringsA']));
  Writeln(Format('%p -- %s', [@PathUnExpandEnvStringsW, 'PathUnExpandEnvStringsW']));
  Writeln(Format('%p -- %s', [@PathUnExpandEnvStrings, 'PathUnExpandEnvStrings']));
  Writeln(Format('%p -- %s', [@UrlCompareA, 'UrlCompareA']));
  Writeln(Format('%p -- %s', [@UrlCompareW, 'UrlCompareW']));
  Writeln(Format('%p -- %s', [@UrlCompare, 'UrlCompare']));
  Writeln(Format('%p -- %s', [@UrlCombineA, 'UrlCombineA']));
  Writeln(Format('%p -- %s', [@UrlCombineW, 'UrlCombineW']));
  Writeln(Format('%p -- %s', [@UrlCombine, 'UrlCombine']));
  Writeln(Format('%p -- %s', [@UrlCanonicalizeA, 'UrlCanonicalizeA']));
  Writeln(Format('%p -- %s', [@UrlCanonicalizeW, 'UrlCanonicalizeW']));
  Writeln(Format('%p -- %s', [@UrlCanonicalize, 'UrlCanonicalize']));
  Writeln(Format('%p -- %s', [@UrlIsOpaqueA, 'UrlIsOpaqueA']));
  Writeln(Format('%p -- %s', [@UrlIsOpaqueW, 'UrlIsOpaqueW']));
  Writeln(Format('%p -- %s', [@UrlIsOpaque, 'UrlIsOpaque']));
  Writeln(Format('%p -- %s', [@UrlIsNoHistoryA, 'UrlIsNoHistoryA']));
  Writeln(Format('%p -- %s', [@UrlIsNoHistoryW, 'UrlIsNoHistoryW']));
  Writeln(Format('%p -- %s', [@UrlIsA, 'UrlIsA']));
  Writeln(Format('%p -- %s', [@UrlIsW, 'UrlIsW']));
  Writeln(Format('%p -- %s', [@UrlIs, 'UrlIs']));
  Writeln(Format('%p -- %s', [@UrlGetLocationA, 'UrlGetLocationA']));
  Writeln(Format('%p -- %s', [@UrlGetLocationW, 'UrlGetLocationW']));
  Writeln(Format('%p -- %s', [@UrlGetLocation, 'UrlGetLocation']));
  Writeln(Format('%p -- %s', [@UrlUnescapeA, 'UrlUnescapeA']));
  Writeln(Format('%p -- %s', [@UrlUnescapeW, 'UrlUnescapeW']));
  Writeln(Format('%p -- %s', [@UrlUnescape, 'UrlUnescape']));
  Writeln(Format('%p -- %s', [@UrlEscapeA, 'UrlEscapeA']));
  Writeln(Format('%p -- %s', [@UrlEscapeW, 'UrlEscapeW']));
  Writeln(Format('%p -- %s', [@UrlEscape, 'UrlEscape']));
  Writeln(Format('%p -- %s', [@UrlCreateFromPathA, 'UrlCreateFromPathA']));
  Writeln(Format('%p -- %s', [@UrlCreateFromPathW, 'UrlCreateFromPathW']));
  Writeln(Format('%p -- %s', [@UrlCreateFromPath, 'UrlCreateFromPath']));
  Writeln(Format('%p -- %s', [@PathCreateFromUrlA, 'PathCreateFromUrlA']));
  Writeln(Format('%p -- %s', [@PathCreateFromUrlW, 'PathCreateFromUrlW']));
  Writeln(Format('%p -- %s', [@PathCreateFromUrl, 'PathCreateFromUrl']));
  Writeln(Format('%p -- %s', [@UrlHashA, 'UrlHashA']));
  Writeln(Format('%p -- %s', [@UrlHashW, 'UrlHashW']));
  Writeln(Format('%p -- %s', [@UrlHash, 'UrlHash']));
  Writeln(Format('%p -- %s', [@UrlGetPartW, 'UrlGetPartW']));
  Writeln(Format('%p -- %s', [@UrlGetPartA, 'UrlGetPartA']));
  Writeln(Format('%p -- %s', [@UrlGetPart, 'UrlGetPart']));
  Writeln(Format('%p -- %s', [@UrlApplySchemeA, 'UrlApplySchemeA']));
  Writeln(Format('%p -- %s', [@UrlApplySchemeW, 'UrlApplySchemeW']));
  Writeln(Format('%p -- %s', [@UrlApplyScheme, 'UrlApplyScheme']));
  Writeln(Format('%p -- %s', [@HashData, 'HashData']));
  Writeln(Format('%p -- %s', [@SHDeleteEmptyKeyA, 'SHDeleteEmptyKeyA']));
  Writeln(Format('%p -- %s', [@SHDeleteEmptyKeyW, 'SHDeleteEmptyKeyW']));
  Writeln(Format('%p -- %s', [@SHDeleteEmptyKey, 'SHDeleteEmptyKey']));
  Writeln(Format('%p -- %s', [@SHDeleteKeyA, 'SHDeleteKeyA']));
  Writeln(Format('%p -- %s', [@SHDeleteKeyW, 'SHDeleteKeyW']));
  Writeln(Format('%p -- %s', [@SHDeleteKey, 'SHDeleteKey']));
  Writeln(Format('%p -- %s', [@SHRegDuplicateHKey, 'SHRegDuplicateHKey']));
  Writeln(Format('%p -- %s', [@SHDeleteValueA, 'SHDeleteValueA']));
  Writeln(Format('%p -- %s', [@SHDeleteValueW, 'SHDeleteValueW']));
  Writeln(Format('%p -- %s', [@SHDeleteValue, 'SHDeleteValue']));
  Writeln(Format('%p -- %s', [@SHGetValueA, 'SHGetValueA']));
  Writeln(Format('%p -- %s', [@SHGetValueW, 'SHGetValueW']));
  Writeln(Format('%p -- %s', [@SHGetValue, 'SHGetValue']));
  Writeln(Format('%p -- %s', [@SHSetValueA, 'SHSetValueA']));
  Writeln(Format('%p -- %s', [@SHSetValueW, 'SHSetValueW']));
  Writeln(Format('%p -- %s', [@SHSetValue, 'SHSetValue']));
  Writeln(Format('%p -- %s', [@SHRegGetValueA, 'SHRegGetValueA']));
  Writeln(Format('%p -- %s', [@SHRegGetValueW, 'SHRegGetValueW']));
  Writeln(Format('%p -- %s', [@SHRegGetValue, 'SHRegGetValue']));
  Writeln(Format('%p -- %s', [@SHQueryValueExA, 'SHQueryValueExA']));
  Writeln(Format('%p -- %s', [@SHQueryValueExW, 'SHQueryValueExW']));
  Writeln(Format('%p -- %s', [@SHQueryValueEx, 'SHQueryValueEx']));
  Writeln(Format('%p -- %s', [@SHEnumKeyExA, 'SHEnumKeyExA']));
  Writeln(Format('%p -- %s', [@SHEnumKeyExW, 'SHEnumKeyExW']));
  Writeln(Format('%p -- %s', [@SHEnumKeyEx, 'SHEnumKeyEx']));
  Writeln(Format('%p -- %s', [@SHEnumValueA, 'SHEnumValueA']));
  Writeln(Format('%p -- %s', [@SHEnumValueW, 'SHEnumValueW']));
  Writeln(Format('%p -- %s', [@SHEnumValue, 'SHEnumValue']));
  Writeln(Format('%p -- %s', [@SHQueryInfoKeyA, 'SHQueryInfoKeyA']));
  Writeln(Format('%p -- %s', [@SHQueryInfoKeyW, 'SHQueryInfoKeyW']));
  Writeln(Format('%p -- %s', [@SHQueryInfoKey, 'SHQueryInfoKey']));
  Writeln(Format('%p -- %s', [@SHCopyKeyA, 'SHCopyKeyA']));
  Writeln(Format('%p -- %s', [@SHCopyKeyW, 'SHCopyKeyW']));
  Writeln(Format('%p -- %s', [@SHCopyKey, 'SHCopyKey']));
  Writeln(Format('%p -- %s', [@SHRegGetPathA, 'SHRegGetPathA']));
  Writeln(Format('%p -- %s', [@SHRegGetPathW, 'SHRegGetPathW']));
  Writeln(Format('%p -- %s', [@SHRegGetPath, 'SHRegGetPath']));
  Writeln(Format('%p -- %s', [@SHRegSetPathA, 'SHRegSetPathA']));
  Writeln(Format('%p -- %s', [@SHRegSetPathW, 'SHRegSetPathW']));
  Writeln(Format('%p -- %s', [@SHRegSetPath, 'SHRegSetPath']));
  Writeln(Format('%p -- %s', [@SHRegCreateUSKeyA, 'SHRegCreateUSKeyA']));
  Writeln(Format('%p -- %s', [@SHRegCreateUSKeyW, 'SHRegCreateUSKeyW']));
  Writeln(Format('%p -- %s', [@SHRegCreateUSKey, 'SHRegCreateUSKey']));
  Writeln(Format('%p -- %s', [@SHRegOpenUSKeyA, 'SHRegOpenUSKeyA']));
  Writeln(Format('%p -- %s', [@SHRegOpenUSKeyW, 'SHRegOpenUSKeyW']));
  Writeln(Format('%p -- %s', [@SHRegOpenUSKey, 'SHRegOpenUSKey']));
  Writeln(Format('%p -- %s', [@SHRegQueryUSValueA, 'SHRegQueryUSValueA']));
  Writeln(Format('%p -- %s', [@SHRegQueryUSValueW, 'SHRegQueryUSValueW']));
  Writeln(Format('%p -- %s', [@SHRegQueryUSValue, 'SHRegQueryUSValue']));
  Writeln(Format('%p -- %s', [@SHRegWriteUSValueA, 'SHRegWriteUSValueA']));
  Writeln(Format('%p -- %s', [@SHRegWriteUSValueW, 'SHRegWriteUSValueW']));
  Writeln(Format('%p -- %s', [@SHRegWriteUSValue, 'SHRegWriteUSValue']));
  Writeln(Format('%p -- %s', [@SHRegDeleteUSValueA, 'SHRegDeleteUSValueA']));
  Writeln(Format('%p -- %s', [@SHRegDeleteUSValueW, 'SHRegDeleteUSValueW']));
  Writeln(Format('%p -- %s', [@SHRegDeleteUSValue, 'SHRegDeleteUSValue']));
  Writeln(Format('%p -- %s', [@SHRegDeleteEmptyUSKeyW, 'SHRegDeleteEmptyUSKeyW']));
  Writeln(Format('%p -- %s', [@SHRegDeleteEmptyUSKeyA, 'SHRegDeleteEmptyUSKeyA']));
  Writeln(Format('%p -- %s', [@SHRegDeleteEmptyUSKey, 'SHRegDeleteEmptyUSKey']));
  Writeln(Format('%p -- %s', [@SHRegEnumUSKeyA, 'SHRegEnumUSKeyA']));
  Writeln(Format('%p -- %s', [@SHRegEnumUSKeyW, 'SHRegEnumUSKeyW']));
  Writeln(Format('%p -- %s', [@SHRegEnumUSKey, 'SHRegEnumUSKey']));
  Writeln(Format('%p -- %s', [@SHRegEnumUSValueA, 'SHRegEnumUSValueA']));
  Writeln(Format('%p -- %s', [@SHRegEnumUSValueW, 'SHRegEnumUSValueW']));
  Writeln(Format('%p -- %s', [@SHRegEnumUSValue, 'SHRegEnumUSValue']));
  Writeln(Format('%p -- %s', [@SHRegQueryInfoUSKeyA, 'SHRegQueryInfoUSKeyA']));
  Writeln(Format('%p -- %s', [@SHRegQueryInfoUSKeyW, 'SHRegQueryInfoUSKeyW']));
  Writeln(Format('%p -- %s', [@SHRegQueryInfoUSKey, 'SHRegQueryInfoUSKey']));
  Writeln(Format('%p -- %s', [@SHRegCloseUSKey, 'SHRegCloseUSKey']));
  Writeln(Format('%p -- %s', [@SHRegGetUSValueA, 'SHRegGetUSValueA']));
  Writeln(Format('%p -- %s', [@SHRegGetUSValueW, 'SHRegGetUSValueW']));
  Writeln(Format('%p -- %s', [@SHRegGetUSValue, 'SHRegGetUSValue']));
  Writeln(Format('%p -- %s', [@SHRegSetUSValueA, 'SHRegSetUSValueA']));
  Writeln(Format('%p -- %s', [@SHRegSetUSValueW, 'SHRegSetUSValueW']));
  Writeln(Format('%p -- %s', [@SHRegSetUSValue, 'SHRegSetUSValue']));
  Writeln(Format('%p -- %s', [@SHRegGetIntW, 'SHRegGetIntW']));
  Writeln(Format('%p -- %s', [@SHRegGetInt, 'SHRegGetInt']));
  Writeln(Format('%p -- %s', [@SHRegGetBoolUSValueA, 'SHRegGetBoolUSValueA']));
  Writeln(Format('%p -- %s', [@SHRegGetBoolUSValueW, 'SHRegGetBoolUSValueW']));
  Writeln(Format('%p -- %s', [@SHRegGetBoolUSValue, 'SHRegGetBoolUSValue']));
  Writeln(Format('%p -- %s', [@AssocCreate, 'AssocCreate']));
  Writeln(Format('%p -- %s', [@AssocQueryStringA, 'AssocQueryStringA']));
  Writeln(Format('%p -- %s', [@AssocQueryStringW, 'AssocQueryStringW']));
  Writeln(Format('%p -- %s', [@AssocQueryString, 'AssocQueryString']));
  Writeln(Format('%p -- %s', [@AssocQueryStringByKeyA, 'AssocQueryStringByKeyA']));
  Writeln(Format('%p -- %s', [@AssocQueryStringByKeyW, 'AssocQueryStringByKeyW']));
  Writeln(Format('%p -- %s', [@AssocQueryStringByKey, 'AssocQueryStringByKey']));
  Writeln(Format('%p -- %s', [@AssocQueryKeyA, 'AssocQueryKeyA']));
  Writeln(Format('%p -- %s', [@AssocQueryKeyW, 'AssocQueryKeyW']));
  Writeln(Format('%p -- %s', [@AssocQueryKey, 'AssocQueryKey']));
  Writeln(Format('%p -- %s', [@AssocIsDangerous, 'AssocIsDangerous']));
  Writeln(Format('%p -- %s', [@AssocGetPerceivedType, 'AssocGetPerceivedType']));
  Writeln(Format('%p -- %s', [@SHOpenRegStreamA, 'SHOpenRegStreamA']));
  Writeln(Format('%p -- %s', [@SHOpenRegStreamW, 'SHOpenRegStreamW']));
  Writeln(Format('%p -- %s', [@SHOpenRegStream, 'SHOpenRegStream']));
  Writeln(Format('%p -- %s', [@SHOpenRegStream2A, 'SHOpenRegStream2A']));
  Writeln(Format('%p -- %s', [@SHOpenRegStream2W, 'SHOpenRegStream2W']));
  Writeln(Format('%p -- %s', [@SHOpenRegStream2, 'SHOpenRegStream2']));
  Writeln(Format('%p -- %s', [@SHCreateStreamOnFileA, 'SHCreateStreamOnFileA']));
  Writeln(Format('%p -- %s', [@SHCreateStreamOnFileW, 'SHCreateStreamOnFileW']));
  Writeln(Format('%p -- %s', [@SHCreateStreamOnFile, 'SHCreateStreamOnFile']));
  Writeln(Format('%p -- %s', [@SHCreateStreamOnFileEx, 'SHCreateStreamOnFileEx']));
  Writeln(Format('%p -- %s', [@GetAcceptLanguagesA, 'GetAcceptLanguagesA']));
  Writeln(Format('%p -- %s', [@GetAcceptLanguagesW, 'GetAcceptLanguagesW']));
  Writeln(Format('%p -- %s', [@GetAcceptLanguages, 'GetAcceptLanguages']));
  Writeln(Format('%p -- %s', [@SHGetViewStatePropertyBag, 'SHGetViewStatePropertyBag']));
  Writeln(Format('%p -- %s', [@SHAllocShared, 'SHAllocShared']));
  Writeln(Format('%p -- %s', [@SHFreeShared, 'SHFreeShared']));
  Writeln(Format('%p -- %s', [@SHLockShared, 'SHLockShared']));
  Writeln(Format('%p -- %s', [@SHUnlockShared, 'SHUnlockShared']));
  Writeln(Format('%p -- %s', [@SHAutoComplete, 'SHAutoComplete']));
  Writeln(Format('%p -- %s', [@SHSetThreadRef, 'SHSetThreadRef']));
  Writeln(Format('%p -- %s', [@SHGetThreadRef, 'SHGetThreadRef']));
  Writeln(Format('%p -- %s', [@SHSkipJunction, 'SHSkipJunction']));
  Writeln(Format('%p -- %s', [@SHCreateThreadRef, 'SHCreateThreadRef']));
  Writeln(Format('%p -- %s', [@SHCreateThread, 'SHCreateThread']));
  Writeln(Format('%p -- %s', [@SHReleaseThreadRef, 'SHReleaseThreadRef']));
  Writeln(Format('%p -- %s', [@SHCreateShellPalette, 'SHCreateShellPalette']));
  Writeln(Format('%p -- %s', [@ColorRGBToHLS, 'ColorRGBToHLS']));
  Writeln(Format('%p -- %s', [@ColorHLSToRGB, 'ColorHLSToRGB']));
  Writeln(Format('%p -- %s', [@ColorAdjustLuma, 'ColorAdjustLuma']));
  Writeln(Format('%p -- %s', [@IsInternetESCEnabled, 'IsInternetESCEnabled']));

// UrlMon import test

  Writeln;
  Writeln('urlmon');
  Writeln;

  Writeln(Format('%p -- %s', [@CreateURLMoniker, 'CreateURLMoniker']));
  Writeln(Format('%p -- %s', [@CreateURLMonikerEx, 'CreateURLMonikerEx']));
  Writeln(Format('%p -- %s', [@GetClassURL, 'GetClassURL']));
  Writeln(Format('%p -- %s', [@CreateAsyncBindCtx, 'CreateAsyncBindCtx']));
  Writeln(Format('%p -- %s', [@CreateAsyncBindCtxEx, 'CreateAsyncBindCtxEx']));
  Writeln(Format('%p -- %s', [@MkParseDisplayNameEx, 'MkParseDisplayNameEx']));
  Writeln(Format('%p -- %s', [@RegisterBindStatusCallback, 'RegisterBindStatusCallback']));
  Writeln(Format('%p -- %s', [@RevokeBindStatusCallback, 'RevokeBindStatusCallback']));
  Writeln(Format('%p -- %s', [@GetClassFileOrMime, 'GetClassFileOrMime']));
  Writeln(Format('%p -- %s', [@IsValidURL, 'IsValidURL']));
  Writeln(Format('%p -- %s', [@CoGetClassObjectFromURL, 'CoGetClassObjectFromURL']));
  Writeln(Format('%p -- %s', [@FaultInIEFeature, 'FaultInIEFeature']));
  Writeln(Format('%p -- %s', [@GetComponentIDFromCLSSPEC, 'GetComponentIDFromCLSSPEC']));
  Writeln(Format('%p -- %s', [@CreateURLBinding, 'CreateURLBinding']));
  Writeln(Format('%p -- %s', [@IsAsyncMoniker, 'IsAsyncMoniker']));
  Writeln(Format('%p -- %s', [@CreateURLBinding, 'CreateURLBinding']));
  Writeln(Format('%p -- %s', [@RegisterMediaTypes, 'RegisterMediaTypes']));
  Writeln(Format('%p -- %s', [@FindMediaType, 'FindMediaType']));
  Writeln(Format('%p -- %s', [@CreateFormatEnumerator, 'CreateFormatEnumerator']));
  Writeln(Format('%p -- %s', [@RegisterFormatEnumerator, 'RegisterFormatEnumerator']));
  Writeln(Format('%p -- %s', [@RevokeFormatEnumerator, 'RevokeFormatEnumerator']));
  Writeln(Format('%p -- %s', [@RegisterMediaTypeClass, 'RegisterMediaTypeClass']));
  Writeln(Format('%p -- %s', [@FindMediaTypeClass, 'FindMediaTypeClass']));
  Writeln(Format('%p -- %s', [@UrlMkSetSessionOption, 'UrlMkSetSessionOption']));
  Writeln(Format('%p -- %s', [@UrlMkGetSessionOption, 'UrlMkGetSessionOption']));
  Writeln(Format('%p -- %s', [@FindMimeFromData, 'FindMimeFromData']));
  Writeln(Format('%p -- %s', [@ObtainUserAgentString, 'ObtainUserAgentString']));
  Writeln(Format('%p -- %s', [@CompareSecurityIds, 'CompareSecurityIds']));
  Writeln(Format('%p -- %s', [@CompatFlagsFromClsid, 'CompatFlagsFromClsid']));
  Writeln(Format('%p -- %s', [@URLOpenStreamA, 'URLOpenStreamA']));
  Writeln(Format('%p -- %s', [@URLOpenStreamW, 'URLOpenStreamW']));
  Writeln(Format('%p -- %s', [@URLOpenStream, 'URLOpenStream']));
  Writeln(Format('%p -- %s', [@URLOpenPullStreamA, 'URLOpenPullStreamA']));
  Writeln(Format('%p -- %s', [@URLOpenPullStreamW, 'URLOpenPullStreamW']));
  Writeln(Format('%p -- %s', [@URLOpenPullStream, 'URLOpenPullStream']));
  Writeln(Format('%p -- %s', [@URLDownloadToFileA, 'URLDownloadToFileA']));
  Writeln(Format('%p -- %s', [@URLDownloadToFileW, 'URLDownloadToFileW']));
  Writeln(Format('%p -- %s', [@URLDownloadToFile, 'URLDownloadToFile']));
  Writeln(Format('%p -- %s', [@URLDownloadToCacheFileA, 'URLDownloadToCacheFileA']));
  Writeln(Format('%p -- %s', [@URLDownloadToCacheFileW, 'URLDownloadToCacheFileW']));
  Writeln(Format('%p -- %s', [@URLDownloadToCacheFile, 'URLDownloadToCacheFile']));
  Writeln(Format('%p -- %s', [@URLOpenBlockingStreamA, 'URLOpenBlockingStreamA']));
  Writeln(Format('%p -- %s', [@URLOpenBlockingStreamW, 'URLOpenBlockingStreamW']));
  Writeln(Format('%p -- %s', [@URLOpenBlockingStream, 'URLOpenBlockingStream']));
  Writeln(Format('%p -- %s', [@HlinkGoBack, 'HlinkGoBack']));
  Writeln(Format('%p -- %s', [@HlinkGoForward, 'HlinkGoForward']));
  Writeln(Format('%p -- %s', [@HlinkNavigateString, 'HlinkNavigateString']));
  Writeln(Format('%p -- %s', [@HlinkNavigateMoniker, 'HlinkNavigateMoniker']));
  Writeln(Format('%p -- %s', [@HlinkSimpleNavigateToString, 'HlinkSimpleNavigateToString']));
  Writeln(Format('%p -- %s', [@HlinkSimpleNavigateToMoniker, 'HlinkSimpleNavigateToMoniker']));
  Writeln(Format('%p -- %s', [@CoInternetParseUrl, 'CoInternetParseUrl']));
  Writeln(Format('%p -- %s', [@CoInternetCombineUrl, 'CoInternetCombineUrl']));
  Writeln(Format('%p -- %s', [@CoInternetCompareUrl, 'CoInternetCompareUrl']));
  Writeln(Format('%p -- %s', [@CoInternetGetProtocolFlags, 'CoInternetGetProtocolFlags']));
  Writeln(Format('%p -- %s', [@CoInternetQueryInfo, 'CoInternetQueryInfo']));
  Writeln(Format('%p -- %s', [@CoInternetGetSession, 'CoInternetGetSession']));
  Writeln(Format('%p -- %s', [@CoInternetGetSecurityUrl, 'CoInternetGetSecurityUrl']));
  Writeln(Format('%p -- %s', [@AsyncInstallDistributionUnit, 'AsyncInstallDistributionUnit']));
  Writeln(Format('%p -- %s', [@CoInternetSetFeatureEnabled, 'CoInternetSetFeatureEnabled']));
  Writeln(Format('%p -- %s', [@CoInternetIsFeatureEnabled, 'CoInternetIsFeatureEnabled']));
  Writeln(Format('%p -- %s', [@CoInternetIsFeatureEnabledForUrl, 'CoInternetIsFeatureEnabledForUrl']));
  Writeln(Format('%p -- %s', [@CoInternetIsFeatureZoneElevationEnabled, 'CoInternetIsFeatureZoneElevationEnabled']));
  Writeln(Format('%p -- %s', [@CopyStgMedium, 'CopyStgMedium']));
  Writeln(Format('%p -- %s', [@CopyBindInfo, 'CopyBindInfo']));
  Writeln(Format('%p -- %s', [@ReleaseBindInfo, 'ReleaseBindInfo']));
  Writeln(Format('%p -- %s', [@CoInternetCreateSecurityManager, 'CoInternetCreateSecurityManager']));
  Writeln(Format('%p -- %s', [@CoInternetCreateZoneManager, 'CoInternetCreateZoneManager']));
  Writeln(Format('%p -- %s', [@OInetParseUrl, 'OInetParseUrl']));
  Writeln(Format('%p -- %s', [@OInetCombineUrl, 'OInetCombineUrl']));
  Writeln(Format('%p -- %s', [@OInetCompareUrl, 'OInetCompareUrl']));
  Writeln(Format('%p -- %s', [@OInetQueryInfo, 'OInetQueryInfo']));
  Writeln(Format('%p -- %s', [@OInetGetSession, 'OInetGetSession']));
  Writeln(Format('%p -- %s', [@IsLoggingEnabledA, 'IsLoggingEnabledA']));
  Writeln(Format('%p -- %s', [@IsLoggingEnabledW, 'IsLoggingEnabledW']));
  Writeln(Format('%p -- %s', [@IsLoggingEnabled, 'IsLoggingEnabled']));
  Writeln(Format('%p -- %s', [@WriteHitLogging, 'WriteHitLogging']));
  Writeln(Format('%p -- %s', [@GetSoftwareUpdateInfo, 'GetSoftwareUpdateInfo']));
  Writeln(Format('%p -- %s', [@SetSoftwareUpdateAdvertisementState, 'SetSoftwareUpdateAdvertisementState']));

// ShlObj import test

  Writeln;
  Writeln('shlobj');
  Writeln;

  Writeln(Format('%p -- %s', [@SHGetMalloc, 'SHGetMalloc']));
  Writeln(Format('%p -- %s', [@SHGetIconOverlayIndexA, 'SHGetIconOverlayIndexA']));
  Writeln(Format('%p -- %s', [@SHGetIconOverlayIndexW, 'SHGetIconOverlayIndexW']));
  Writeln(Format('%p -- %s', [@SHGetIconOverlayIndex, 'SHGetIconOverlayIndex']));
  Writeln(Format('%p -- %s', [@SHGetPathFromIDListA, 'SHGetPathFromIDListA']));
  Writeln(Format('%p -- %s', [@SHGetPathFromIDListW, 'SHGetPathFromIDListW']));
  Writeln(Format('%p -- %s', [@SHGetPathFromIDList, 'SHGetPathFromIDList']));
  Writeln(Format('%p -- %s', [@SHCreateDirectoryExA, 'SHCreateDirectoryExA']));
  Writeln(Format('%p -- %s', [@SHCreateDirectoryExW, 'SHCreateDirectoryExW']));
  Writeln(Format('%p -- %s', [@SHCreateDirectoryEx, 'SHCreateDirectoryEx']));
  Writeln(Format('%p -- %s', [@SHOpenFolderAndSelectItems, 'SHOpenFolderAndSelectItems']));
  Writeln(Format('%p -- %s', [@SHGetSpecialFolderLocation, 'SHGetSpecialFolderLocation']));
  Writeln(Format('%p -- %s', [@SHFlushSFCache, 'SHFlushSFCache']));
  Writeln(Format('%p -- %s', [@SHCloneSpecialIDList, 'SHCloneSpecialIDList']));
  Writeln(Format('%p -- %s', [@SHGetSpecialFolderPathA, 'SHGetSpecialFolderPathA']));
  Writeln(Format('%p -- %s', [@SHGetSpecialFolderPathW, 'SHGetSpecialFolderPathW']));
  Writeln(Format('%p -- %s', [@SHGetSpecialFolderPath, 'SHGetSpecialFolderPath']));
  Writeln(Format('%p -- %s', [@RVShlObj.SHGetFolderPathA, 'SHGetFolderPathA']));
  Writeln(Format('%p -- %s', [@RVShlObj.SHGetFolderPathW, 'SHGetFolderPathW']));
  Writeln(Format('%p -- %s', [@RVShlObj.SHGetFolderPath, 'SHGetFolderPath']));
  Writeln(Format('%p -- %s', [@SHGetFolderLocation, 'SHGetFolderLocation']));
  Writeln(Format('%p -- %s', [@SHGetFolderPathAndSubDirA, 'SHGetFolderPathAndSubDirA']));
  Writeln(Format('%p -- %s', [@SHGetFolderPathAndSubDirW, 'SHGetFolderPathAndSubDirW']));
  Writeln(Format('%p -- %s', [@SHGetFolderPathAndSubDir, 'SHGetFolderPathAndSubDir']));
  Writeln(Format('%p -- %s', [@SHGetSetFolderCustomSettingsA, 'SHGetSetFolderCustomSettingsA']));
  Writeln(Format('%p -- %s', [@SHGetSetFolderCustomSettingsW, 'SHGetSetFolderCustomSettingsW']));
  Writeln(Format('%p -- %s', [@SHGetSetFolderCustomSettings, 'SHGetSetFolderCustomSettings']));
  Writeln(Format('%p -- %s', [@SHBrowseForFolderA, 'SHBrowseForFolderA']));
  Writeln(Format('%p -- %s', [@SHBrowseForFolderW, 'SHBrowseForFolderW']));
  Writeln(Format('%p -- %s', [@SHBrowseForFolder, 'SHBrowseForFolder']));
  Writeln(Format('%p -- %s', [@SHLoadInProc, 'SHLoadInProc']));
  Writeln(Format('%p -- %s', [@SHGetDesktopFolder, 'SHGetDesktopFolder']));
  Writeln(Format('%p -- %s', [@SHChangeNotify, 'SHChangeNotify']));
  Writeln(Format('%p -- %s', [@SHAddToRecentDocs, 'SHAddToRecentDocs']));
  Writeln(Format('%p -- %s', [@SHHandleUpdateImage, 'SHHandleUpdateImage']));
  Writeln(Format('%p -- %s', [@SHUpdateImageA, 'SHUpdateImageA']));
  Writeln(Format('%p -- %s', [@SHUpdateImageW, 'SHUpdateImageW']));
  Writeln(Format('%p -- %s', [@SHUpdateImage, 'SHUpdateImage']));
  Writeln(Format('%p -- %s', [@SHChangeNotifyRegister, 'SHChangeNotifyRegister']));
  Writeln(Format('%p -- %s', [@SHChangeNotifyDeregister, 'SHChangeNotifyDeregister']));
  Writeln(Format('%p -- %s', [@SHChangeNotification_Lock, 'SHChangeNotification_Lock']));
  Writeln(Format('%p -- %s', [@SHChangeNotification_Unlock, 'SHChangeNotification_Unlock']));
  Writeln(Format('%p -- %s', [@SHGetRealIDL, 'SHGetRealIDL']));
  Writeln(Format('%p -- %s', [@SHGetInstanceExplorer, 'SHGetInstanceExplorer']));
  Writeln(Format('%p -- %s', [@SHGetDataFromIDListA, 'SHGetDataFromIDListA']));
  Writeln(Format('%p -- %s', [@SHGetDataFromIDListW, 'SHGetDataFromIDListW']));
  Writeln(Format('%p -- %s', [@SHGetDataFromIDList, 'SHGetDataFromIDList']));
  Writeln(Format('%p -- %s', [@RestartDialog, 'RestartDialog']));
  Writeln(Format('%p -- %s', [@RestartDialogEx, 'RestartDialogEx']));
  Writeln(Format('%p -- %s', [@SHCoCreateInstance, 'SHCoCreateInstance']));
  Writeln(Format('%p -- %s', [@CallCPLEntry16, 'CallCPLEntry16']));
  Writeln(Format('%p -- %s', [@SHCreateStdEnumFmtEtc, 'SHCreateStdEnumFmtEtc']));
  Writeln(Format('%p -- %s', [@SHDoDragDrop, 'SHDoDragDrop']));
  Writeln(Format('%p -- %s', [@DAD_SetDragImage, 'DAD_SetDragImage']));
  Writeln(Format('%p -- %s', [@DAD_DragEnterEx, 'DAD_DragEnterEx']));
  Writeln(Format('%p -- %s', [@DAD_DragEnterEx2, 'DAD_DragEnterEx2']));
  Writeln(Format('%p -- %s', [@DAD_ShowDragImage, 'DAD_ShowDragImage']));
  Writeln(Format('%p -- %s', [@DAD_DragMove, 'DAD_DragMove']));
  Writeln(Format('%p -- %s', [@DAD_DragLeave, 'DAD_DragLeave']));
  Writeln(Format('%p -- %s', [@DAD_AutoScroll, 'DAD_AutoScroll']));
  Writeln(Format('%p -- %s', [@ReadCabinetState, 'ReadCabinetState']));
  Writeln(Format('%p -- %s', [@WriteCabinetState, 'WriteCabinetState']));
  Writeln(Format('%p -- %s', [@PathMakeUniqueName, 'PathMakeUniqueName']));
  Writeln(Format('%p -- %s', [@PathQualify, 'PathQualify']));
  Writeln(Format('%p -- %s', [@PathIsExe, 'PathIsExe']));
  Writeln(Format('%p -- %s', [@PathIsSlowA, 'PathIsSlowA']));
  Writeln(Format('%p -- %s', [@PathIsSlowW, 'PathIsSlowW']));
  Writeln(Format('%p -- %s', [@PathIsSlow, 'PathIsSlow']));
  Writeln(Format('%p -- %s', [@PathCleanupSpec, 'PathCleanupSpec']));
  Writeln(Format('%p -- %s', [@PathResolve, 'PathResolve']));
  Writeln(Format('%p -- %s', [@GetFileNameFromBrowse, 'GetFileNameFromBrowse']));
  Writeln(Format('%p -- %s', [@DriveType, 'DriveType']));
  Writeln(Format('%p -- %s', [@RealDriveType, 'RealDriveType']));
  Writeln(Format('%p -- %s', [@IsNetDrive, 'IsNetDrive']));
  Writeln(Format('%p -- %s', [@Shell_MergeMenus, 'Shell_MergeMenus']));
  Writeln(Format('%p -- %s', [@SHObjectProperties, 'SHObjectProperties']));
  Writeln(Format('%p -- %s', [@SHFormatDrive, 'SHFormatDrive']));
  Writeln(Format('%p -- %s', [@SHCreatePropSheetExtArray, 'SHCreatePropSheetExtArray']));
  Writeln(Format('%p -- %s', [@SHDestroyPropSheetExtArray, 'SHDestroyPropSheetExtArray']));
  Writeln(Format('%p -- %s', [@SHAddFromPropSheetExtArray, 'SHAddFromPropSheetExtArray']));
  Writeln(Format('%p -- %s', [@SHReplaceFromPropSheetExtArray, 'SHReplaceFromPropSheetExtArray']));
  Writeln(Format('%p -- %s', [@ILClone, 'ILClone']));
  Writeln(Format('%p -- %s', [@ILGetNext, 'ILGetNext']));
  Writeln(Format('%p -- %s', [@ILGetSize, 'ILGetSize']));
  Writeln(Format('%p -- %s', [@ILFindLastID, 'ILFindLastID']));
  Writeln(Format('%p -- %s', [@ILRemoveLastID, 'ILRemoveLastID']));
  Writeln(Format('%p -- %s', [@ILAppendID, 'ILAppendID']));
  Writeln(Format('%p -- %s', [@ILFree, 'ILFree']));
  Writeln(Format('%p -- %s', [@ILCloneFirst, 'ILCloneFirst']));
  Writeln(Format('%p -- %s', [@ILIsEqual, 'ILIsEqual']));
  Writeln(Format('%p -- %s', [@ILIsParent, 'ILIsParent']));
  Writeln(Format('%p -- %s', [@ILFindChild, 'ILFindChild']));
  Writeln(Format('%p -- %s', [@ILCombine, 'ILCombine']));

// TODO: make functions commented out dynamic.

  Writeln(Format('%p -- %s', [@ILLoadFromStream, 'ILLoadFromStream']));
  Writeln(Format('%p -- %s', [@ILSaveToStream, 'ILSaveToStream']));
  Writeln(Format('%p -- %s', [@ILCreateFromPathA, 'ILCreateFromPathA']));
  Writeln(Format('%p -- %s', [@ILCreateFromPathW, 'ILCreateFromPathW']));
  Writeln(Format('%p -- %s', [@ILCreateFromPath, 'ILCreateFromPath']));
  Writeln(Format('%p -- %s', [@SHILCreateFromPath, 'SHILCreateFromPath']));
  Writeln(Format('%p -- %s', [@OpenRegStream, 'OpenRegStream']));
  Writeln(Format('%p -- %s', [@SHFindFiles, 'SHFindFiles']));
  Writeln(Format('%p -- %s', [@PathGetShortPath, 'PathGetShortPath']));
  Writeln(Format('%p -- %s', [@PathYetAnotherMakeUniqueName, 'PathYetAnotherMakeUniqueName']));
  Writeln(Format('%p -- %s', [@Win32DeleteFile, 'Win32DeleteFile']));
  Writeln(Format('%p -- %s', [@PathProcessCommand, 'PathProcessCommand']));
  Writeln(Format('%p -- %s', [@SHRestricted, 'SHRestricted']));
  Writeln(Format('%p -- %s', [@SignalFileOpen, 'SignalFileOpen']));
  Writeln(Format('%p -- %s', [@SHSimpleIDListFromPath, 'SHSimpleIDListFromPath']));
  Writeln(Format('%p -- %s', [@SHLoadOLE, 'SHLoadOLE']));
  Writeln(Format('%p -- %s', [@SHStartNetConnectionDialogA, 'SHStartNetConnectionDialogA']));
  Writeln(Format('%p -- %s', [@SHStartNetConnectionDialogW, 'SHStartNetConnectionDialogW']));
  Writeln(Format('%p -- %s', [@SHStartNetConnectionDialog, 'SHStartNetConnectionDialog']));
  Writeln(Format('%p -- %s', [@SHDefExtractIconA, 'SHDefExtractIconA']));
  Writeln(Format('%p -- %s', [@SHDefExtractIconW, 'SHDefExtractIconW']));
  Writeln(Format('%p -- %s', [@SHDefExtractIcon, 'SHDefExtractIcon']));
  Writeln(Format('%p -- %s', [@Shell_GetImageLists, 'Shell_GetImageLists']));
  Writeln(Format('%p -- %s', [@Shell_GetCachedImageIndex, 'Shell_GetCachedImageIndex']));
  Writeln(Format('%p -- %s', [@SHValidateUNC, 'SHValidateUNC']));
  Writeln(Format('%p -- %s', [@PifMgr_OpenProperties, 'PifMgr_OpenProperties']));
  Writeln(Format('%p -- %s', [@PifMgr_GetProperties, 'PifMgr_GetProperties']));
  Writeln(Format('%p -- %s', [@PifMgr_SetProperties, 'PifMgr_SetProperties']));
  Writeln(Format('%p -- %s', [@PifMgr_CloseProperties, 'PifMgr_CloseProperties']));
  Writeln(Format('%p -- %s', [@SHSetInstanceExplorer, 'SHSetInstanceExplorer']));
  Writeln(Format('%p -- %s', [@IsUserAnAdmin, 'IsUserAnAdmin']));
  Writeln(Format('%p -- %s', [@SHShellFolderView_Message, 'SHShellFolderView_Message']));
  Writeln(Format('%p -- %s', [@SHCreateShellFolderView, 'SHCreateShellFolderView']));
  Writeln(Format('%p -- %s', [@CDefFolderMenu_Create2, 'CDefFolderMenu_Create2']));
  Writeln(Format('%p -- %s', [@SHOpenPropSheetA, 'SHOpenPropSheetA']));
  Writeln(Format('%p -- %s', [@SHOpenPropSheetW, 'SHOpenPropSheetW']));
  Writeln(Format('%p -- %s', [@SHOpenPropSheet, 'SHOpenPropSheetA']));
  Writeln(Format('%p -- %s', [@SHFind_InitMenuPopup, 'SHFind_InitMenuPopup']));
  Writeln(Format('%p -- %s', [@SHCreateShellFolderViewEx, 'SHCreateShellFolderViewEx']));
  Writeln(Format('%p -- %s', [@SHGetSetSettings, 'SHGetSetSettings']));
  Writeln(Format('%p -- %s', [@SHGetSettings, 'SHGetSettings']));
  Writeln(Format('%p -- %s', [@SHBindToParent, 'SHBindToParent']));
  Writeln(Format('%p -- %s', [@SHParseDisplayName, 'SHParseDisplayName']));
  Writeln(Format('%p -- %s', [@SHPathPrepareForWriteA, 'SHPathPrepareForWriteA']));
  Writeln(Format('%p -- %s', [@SHPathPrepareForWriteW, 'SHPathPrepareForWriteW']));
  Writeln(Format('%p -- %s', [@SHPathPrepareForWrite, 'SHPathPrepareForWrite']));
  Writeln(Format('%p -- %s', [@SoftwareUpdateMessageBox, 'SoftwareUpdateMessageBox']));
  Writeln(Format('%p -- %s', [@SHPropStgCreate, 'SHPropStgCreate']));
  Writeln(Format('%p -- %s', [@SHPropStgReadMultiple, 'SHPropStgReadMultiple']));
  Writeln(Format('%p -- %s', [@SHPropStgWriteMultiple, 'SHPropStgWriteMultiple']));
  Writeln(Format('%p -- %s', [@SHCreateFileExtractIconA, 'SHCreateFileExtractIconA']));
  Writeln(Format('%p -- %s', [@SHCreateFileExtractIconW, 'SHCreateFileExtractIconW']));
  Writeln(Format('%p -- %s', [@SHCreateFileExtractIcon, 'SHCreateFileExtractIcon']));
  Writeln(Format('%p -- %s', [@SHLimitInputEdit, 'SHLimitInputEdit']));
  Writeln(Format('%p -- %s', [@SHMultiFileProperties, 'SHMultiFileProperties']));
  Writeln(Format('%p -- %s', [@SHMapIDListToImageListIndexAsync, 'SHMapIDListToImageListIndexAsync']));
  Writeln(Format('%p -- %s', [@SHMapPIDLToSystemImageListIndex, 'SHMapPIDLToSystemImageListIndex']));
  Writeln(Format('%p -- %s', [@SHCLSIDFromString, 'SHCLSIDFromString']));
  Writeln(Format('%p -- %s', [@SHFlushClipboard, 'SHFlushClipboard']));
  Writeln(Format('%p -- %s', [@SHCreateQueryCancelAutoPlayMoniker, 'SHCreateQueryCancelAutoPlayMoniker']));
  Writeln(Format('%p -- %s', [@SHGetShellStyleHInstance, 'SHGetShellStyleHInstance']));
  Writeln(Format('%p -- %s', [@PerUserInit, 'PerUserInit']));
  Writeln(Format('%p -- %s', [@SHRunControlPanel, 'SHRunControlPanel']));
  Writeln(Format('%p -- %s', [@PickIconDlg, 'PickIconDlg']));
  Writeln(Format('%p -- %s', [@SHGetAttributesFromDataObject, 'SHGetAttributesFromDataObject']));
  Writeln(Format('%p -- %s', [@ImportPrivacySettings, 'ImportPrivacySettings']));
  Writeln(Format('%p -- %s', [@DoPrivacyDlg, 'DoPrivacyDlg']));

// SHFolder import test

  Writeln;
  Writeln('shfolder');
  Writeln;

  Writeln(Format('%p -- %s', [@RVSHFolder.SHGetFolderPathA, 'SHGetFolderPathA']));
  Writeln(Format('%p -- %s', [@RVSHFolder.SHGetFolderPathW, 'SHGetFolderPathW']));
  Writeln(Format('%p -- %s', [@RVSHFolder.SHGetFolderPath, 'SHGetFolderPathA']));


// ShAppMgr import test

  Writeln;
  Writeln('shappmgr');
  Writeln;

  Writeln(Format('%p -- %s', [@InstallApplication, 'InstallApplication']));
  Writeln(Format('%p -- %s', [@UninstallApplication, 'UninstallApplication']));
  Writeln(Format('%p -- %s', [@CommandLineFromMsiDescriptor, 'CommandLineFromMsiDescriptor']));
  Writeln(Format('%p -- %s', [@GetManagedApplications, 'GetManagedApplications']));
  Writeln(Format('%p -- %s', [@GetLocalManagedApplications, 'GetLocalManagedApplications']));
  Writeln(Format('%p -- %s', [@GetLocalManagedApplicationData, 'GetLocalManagedApplicationData']));
  Writeln(Format('%p -- %s', [@GetManagedApplicationCategories, 'GetManagedApplicationCategories']));

  Readln;
end.
